import java.io.*; 
import Text; 
class H3AL7 
{ 
// faktoriyel metodunun for döngüsüyle yazılmış hali
public static long faktoriyel(int x) 
{ 
long faktoriyel=1; 
for(int sayi=1;sayi<=x;sayi++) 
{ faktoriyel*=sayi;} 
return faktoriyel; 
} 
public static void main(String args[]) throws IOException 
{ 
Text cin=new Text(); 
int faktoriyelsayi; 
System.out.println("Bir tamsayi giriniz:"); 
faktoriyelsayi=cin.readInt(); 
System.out.println(faktoriyelsayi+" faktoriyel:" + faktoriyel(faktoriyelsayi)); 
} 
}

